Bug 78452 - FcConfigParseAndLoad() equivalent that takes memory
Summary: FcConfigParseAndLoad() equivalent that takes memory
Status: RESOLVED FIXED
Alias: None
Product: fontconfig
Classification: Unclassified
Component: library (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Akira TAGOH
QA Contact: Behdad Esfahbod
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-08 18:28 UTC by Behdad Esfahbod
Modified: 2017-07-07 07:03 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Behdad Esfahbod 2014-05-08 18:28:52 UTC
In line with bug 78450, it's desirable to load config from memory as opposed to file.
Comment 1 Behdad Esfahbod 2015-05-12 19:23:41 UTC
For reference, I discussed using custom fonts with pango+fontconfig in detail here:
http://mces.blogspot.ca/2015/05/how-to-use-custom-application-fonts.html
Comment 2 Akira TAGOH 2015-06-11 08:31:37 UTC
Added FcConfigParseAndLoadFromMemory()
  http://cgit.freedesktop.org/~tagoh/fontconfig/commit/?h=bz78452
Comment 3 Behdad Esfahbod 2015-06-12 00:04:37 UTC
Didn't review in detail, but generally looks good.  Thanks.
Comment 4 Akira TAGOH 2017-07-07 07:03:35 UTC
merged into the main repo.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.